# -*- coding: utf-8 -*-
# Generated by Django 1.9.4 on 2016-09-12 22:17
from __future__ import unicode_literals

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('frontend', '__first__'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('core', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('preview', models.BooleanField(default=False)),
                ('revision_id', models.PositiveIntegerField(default=0)),
                ('head', models.BooleanField(default=False)),
                ('is_published', models.BooleanField(default=False)),
                ('is_active', models.BooleanField(default=True)),
                ('slug', models.SlugField(max_length=255)),
                ('shares', models.PositiveIntegerField(blank=True, default=0, null=True)),
                ('views', models.PositiveIntegerField(default=0)),
                ('status', models.PositiveIntegerField(choices=[(0, b'Draft'), (1, b'Published'), (2, b'Pitch'), (3, b'To be copyedited'), (4, b'To be managed')], default=0)),
                ('published_at', models.DateTimeField(null=True)),
                ('template', models.CharField(default=b'default', max_length=255)),
                ('seo_keyword', models.CharField(max_length=100, null=True)),
                ('seo_description', models.TextField(null=True)),
                ('content', models.TextField()),
                ('snippet', models.TextField(null=True, validators=[django.core.validators.MinLengthValidator(limit_value=200), django.core.validators.MaxLengthValidator(limit_value=250)])),
                ('created_at', models.DateTimeField()),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('headline', models.CharField(max_length=255)),
                ('importance', models.PositiveIntegerField(choices=[(1, 1), (2, 2), (3, 3), (4, 4), (5, 5)], default=3, validators=[django.core.validators.MaxValueValidator(5)])),
                ('est_reading_time', models.PositiveIntegerField(null=True)),
                ('reading_time', models.CharField(choices=[(b'anytime', b'Anytime'), (b'morning', b'Morning'), (b'midday', b'Midday'), (b'evening', b'Evening')], default=b'anytime', max_length=100)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.PositiveIntegerField()),
                ('article', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='content.Article')),
            ],
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField()),
                ('votes', models.PositiveIntegerField(default=0)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('article', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='content.Article')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='File',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('file', models.FileField(upload_to=b'files/%Y/%m')),
                ('tag', models.CharField(max_length=100)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('img', models.ImageField(upload_to=b'images/%Y/%m')),
                ('title', models.CharField(blank=True, max_length=255, null=True)),
                ('width', models.PositiveIntegerField(blank=True, null=True)),
                ('height', models.PositiveIntegerField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('authors', models.ManyToManyField(related_name='authors', through='content.Author', to='core.Person')),
            ],
        ),
        migrations.CreateModel(
            name='ImageAttachment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('caption', models.TextField(blank=True, null=True)),
                ('custom_credit', models.TextField(blank=True, null=True)),
                ('type', models.CharField(choices=[(b'normal', b'Normal'), (b'file', b'File photo'), (b'courtesy', b'Courtesy photo')], default=b'normal', max_length=255, null=True)),
                ('order', models.PositiveIntegerField(null=True)),
                ('article', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='article', to='content.Article')),
            ],
        ),
        migrations.CreateModel(
            name='ImageGallery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('images', models.ManyToManyField(related_name='images', to='content.ImageAttachment')),
            ],
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('preview', models.BooleanField(default=False)),
                ('revision_id', models.PositiveIntegerField(default=0)),
                ('head', models.BooleanField(default=False)),
                ('is_published', models.BooleanField(default=False)),
                ('is_active', models.BooleanField(default=True)),
                ('slug', models.SlugField(max_length=255)),
                ('shares', models.PositiveIntegerField(blank=True, default=0, null=True)),
                ('views', models.PositiveIntegerField(default=0)),
                ('status', models.PositiveIntegerField(choices=[(0, b'Draft'), (1, b'Published'), (2, b'Pitch'), (3, b'To be copyedited'), (4, b'To be managed')], default=0)),
                ('published_at', models.DateTimeField(null=True)),
                ('template', models.CharField(default=b'default', max_length=255)),
                ('seo_keyword', models.CharField(max_length=100, null=True)),
                ('seo_description', models.TextField(null=True)),
                ('content', models.TextField()),
                ('snippet', models.TextField(null=True, validators=[django.core.validators.MinLengthValidator(limit_value=200), django.core.validators.MaxLengthValidator(limit_value=250)])),
                ('created_at', models.DateTimeField()),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=255)),
                ('featured_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='page_featured_image', to='content.ImageAttachment')),
                ('images', models.ManyToManyField(related_name='page_images', through='content.ImageAttachment', to='content.Image')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='page_parent', to='content.Page')),
                ('parent_page', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='parent_page_fk', to='content.Page')),
                ('scripts', models.ManyToManyField(related_name='page_scripts', to='frontend.Script')),
                ('snippets', models.ManyToManyField(related_name='page_snippets', to='frontend.Snippet')),
                ('stylesheets', models.ManyToManyField(related_name='page_stylesheets', to='frontend.Stylesheet')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Section',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True)),
                ('slug', models.SlugField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Topic',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('last_used', models.DateTimeField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Video',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('url', models.CharField(max_length=500)),
            ],
        ),
        migrations.AddField(
            model_name='page',
            name='videos',
            field=models.ManyToManyField(related_name='page_videos', to='content.Video'),
        ),
        migrations.AddField(
            model_name='imageattachment',
            name='gallery',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='content.ImageGallery'),
        ),
        migrations.AddField(
            model_name='imageattachment',
            name='image',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='image', to='content.Image'),
        ),
        migrations.AddField(
            model_name='imageattachment',
            name='page',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='page', to='content.Page'),
        ),
        migrations.AddField(
            model_name='author',
            name='image',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='content.Image'),
        ),
        migrations.AddField(
            model_name='author',
            name='person',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Person'),
        ),
        migrations.AddField(
            model_name='article',
            name='authors',
            field=models.ManyToManyField(through='content.Author', to='core.Person'),
        ),
        migrations.AddField(
            model_name='article',
            name='featured_image',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='article_featured_image', to='content.ImageAttachment'),
        ),
        migrations.AddField(
            model_name='article',
            name='images',
            field=models.ManyToManyField(related_name='article_images', through='content.ImageAttachment', to='content.Image'),
        ),
        migrations.AddField(
            model_name='article',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='article_parent', to='content.Article'),
        ),
        migrations.AddField(
            model_name='article',
            name='scripts',
            field=models.ManyToManyField(related_name='article_scripts', to='frontend.Script'),
        ),
        migrations.AddField(
            model_name='article',
            name='section',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='content.Section'),
        ),
        migrations.AddField(
            model_name='article',
            name='snippets',
            field=models.ManyToManyField(related_name='article_snippets', to='frontend.Snippet'),
        ),
        migrations.AddField(
            model_name='article',
            name='stylesheets',
            field=models.ManyToManyField(related_name='article_stylesheets', to='frontend.Stylesheet'),
        ),
        migrations.AddField(
            model_name='article',
            name='tags',
            field=models.ManyToManyField(to='content.Tag'),
        ),
        migrations.AddField(
            model_name='article',
            name='topic',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='content.Topic'),
        ),
        migrations.AddField(
            model_name='article',
            name='videos',
            field=models.ManyToManyField(related_name='article_videos', to='content.Video'),
        ),
    ]
