# -*- coding: utf-8 -*-
# Generated by Django 1.9.4 on 2016-09-12 22:17
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Component',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.CharField(max_length=50)),
                ('spot', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='ComponentField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('value', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='ComponentSet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField()),
                ('components', models.ManyToManyField(to='frontend.Component')),
            ],
        ),
        migrations.CreateModel(
            name='FileResource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TemplateVariable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('article_id', models.IntegerField()),
                ('template_slug', models.CharField(max_length=255)),
                ('variable', models.CharField(max_length=50)),
                ('value', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Script',
            fields=[
                ('fileresource_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='frontend.FileResource')),
                ('source', models.FileField(upload_to=b'scripts')),
            ],
            bases=('frontend.fileresource',),
        ),
        migrations.CreateModel(
            name='Snippet',
            fields=[
                ('fileresource_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='frontend.FileResource')),
                ('source', models.FileField(upload_to=b'snippets')),
            ],
            bases=('frontend.fileresource',),
        ),
        migrations.CreateModel(
            name='Stylesheet',
            fields=[
                ('fileresource_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='frontend.FileResource')),
                ('source', models.FileField(upload_to=b'stylesheets')),
            ],
            bases=('frontend.fileresource',),
        ),
        migrations.AddField(
            model_name='component',
            name='fields',
            field=models.ManyToManyField(to='frontend.ComponentField'),
        ),
    ]
